commit 423509ce79f25860070b5b222ae3a74d340c6deb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 25 17:02:27 2026 -0800

    libvMC 1.0.15
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ead4dfd601e4aa9485a17acb1c9bef11b6538995
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a819142dc8b8efd29aa90e5cfbcd8cd892e51033
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 9 15:30:20 2025 -0800

    gitlab CI: Use diffoscope to compare autoconf & meson installs
    
    Allows comparing compiled binaries as well as other files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxvmc/-/merge_requests/15>

commit 0f11139cc0f8038308c5f96b2ca23a808f83376c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 9 15:24:01 2025 -0800

    meson: prepend prefix to sysconfdir if it doesn't start with /
    
    Before this, XVMC_CONFIGDIR was being set to "etc/X11" if the
    prefix wasn't /usr and -Dsysconfdir wasn't passed to meson
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxvmc/-/merge_requests/15>

commit 3fd79799581bf5cc097a60fb97166194d715acdb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 9 14:43:52 2025 -0800

    meson: set MALLOC_0_RETURNS_NULL to match autoconf
    
    Also adds -DHAVE_CONFIG_H to c_args for libXvMCW so it takes effect there
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxvmc/-/merge_requests/15>

commit 68cd8619eb599f6ef3f64d883bb80ed6193c867b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 9 14:26:09 2025 -0800

    meson: raise minimum required meson version from 0.58 to 0.62
    
    Fixes warning from current meson releases:
    
    WARNING: Project specifies a minimum meson_version '>= 0.58' but uses
     features which were added in newer versions:
     * 0.62.0: {'dep 'dl' custom lookup'}
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxvmc/-/merge_requests/15>

commit 476c360f5bf92ffe620c6c05d94728669e1f50a5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 9 13:53:29 2025 -0800

    meson: Move protos from Requires.private to Requires in generated .pc files
    
    Matches what autoconf did, and ensures necessary -I flags make it into
    the CFLAGS for consumers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxvmc/-/merge_requests/15>

commit d8269970dffb9b27c1c79eea7233e33fd99e1932
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 17 15:31:15 2024 -0800

    unifdef Lynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f43e6cb2ae6ba22e0b882da435d50346634a8d09
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 4 14:38:14 2024 -0800

    libXvMC 1.0.14
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 76c83199fce3a54f78a2a167037db7460c7161f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 19 14:26:55 2023 -0700

    Handle implicit conversion warnings from clang
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e66fb64762b6d442a55d0506b07be18aeee7643
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 19 13:51:24 2023 -0700

    Replace custom copy of GetReq macro with call to Xlib 1.5's _XGetRequest
    
    XvMCproto.h names don't match those required by the Xlibint.h GetReq*
    macros, but at least we can rely on the _XGetRequest function for the
    bulk of the work now, instead of duplicating it.
    
    Continues to use sizeof() instead of SIZEOF() due to stray ; on the
    end of many sz_* definitions in XvMCproto.h, but I've verified the
    sizes are the same with both methods.
    
    Also clears clang warnings that were repeated for every call:
    
    XvMC.c:79:5: warning: cast from 'char *' to 'xvmcQueryVersionReq *'
      increases required alignment from 1 to 2 [-Wcast-align]
        XvMCGetReq(QueryVersion, req);
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ./XvMClibint.h:16:8: note: expanded from macro 'XvMCGetReq'
            req = (xvmc##name##Req *)(dpy->last_req = dpy->bufptr);\
                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    XvMC.c:79:5: warning: implicit conversion loses integer precision:
      'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        XvMCGetReq(QueryVersion, req);
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ./XvMClibint.h:17:30: note: expanded from macro 'XvMCGetReq'
            req->reqType = info->codes->major_opcode;\
                         ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58073bc12d17341cb9459f36caf161256fc8be19
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 19 12:49:56 2023 -0700

    Variable scope reductions as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f537ab4913a8d2b3e58a40385a7745c4974bd76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 19 12:02:41 2023 -0700

    Convert to X.Org standard code style
    
    Mostly via util/modular/x-indent-all.sh, plus some manual cleanup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 162422fa80332129168097fd4bcc094cd73a1e65
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 8 16:21:35 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:33: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:33: You should run autoupdate.
    aclocal.m4:3465: AC_PROG_LIBTOOL is expanded from...
    configure.ac:33: the top level
    
    libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
    libtoolize: and rerunning libtoolize and aclocal.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6292a9da83dbf7f2399f5c76a453cb850eab13a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d2a53a1bfd19719a8b9d7b7f62071e00d7f35e62
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 17:28:06 2023 -0800

    gitlab CI: Add libtool to required packages
    
    At least until the autoconf build is dropped in favor of meson
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd9b244314702b1f50b6d5db86f6049109c77bc4
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sun Jun 19 12:35:02 2022 -0700

    meson: Fix compatibility version and current version of meson build to be compatible with autotools build
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 163e04cfdcdf6c87a2eea5060787c7943a24690f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 26 16:04:55 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 20354910dab40522a7dcde152d5e900ed916dc66
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 26 14:10:54 2022 -0700

    Make doc install path from meson match autotools
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 590fb6835170aa60cd4d3d46eaeac51725300d23
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Mar 26 10:51:18 2022 -0700

    libXvMC 1.0.13
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 2090940ded023df2a1c0ef8c7dd2cde16a686d7d
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Mar 26 10:47:31 2022 -0700

    meson: Fix typo
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit f65c43c05a766ef2e9335367d079b75273d5e53f
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Fri Mar 25 15:04:15 2022 -0700

    autotools: fix Requires and Requires.Private in pkgconfig
    
    This only applies to the autotools generated pkg-config files, as Meson
    does it's own dependency tracking for us.

commit cdf1532b13efe667f40dd472f41b4e12a0282dea
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Fri Mar 25 14:55:36 2022 -0700

    meson: Add a meson build system
    
    This does everything the autotools based system does, including building
    both a static and shared version by default, though this can be
    controlled with meson's builtin `default_library` option.

commit 324ecde7352e7a129f30b795a1c2d9142600aeea
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Fri Mar 25 13:31:40 2022 -0700

    editorconfig: add meson

commit b391192bd391009f9d834ea920fd15c872fbe85b
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Fri Mar 25 13:31:17 2022 -0700

    editorconfig: add

commit bd930bf94f0bcb9964248cdb5196b97cf93a0921
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 26 08:56:25 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53c3cfbecba041d1a215f7a5689df796b97949e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 26 08:56:16 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36086307ba9fd1272365b964056e8a6780109478
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 24 12:52:29 2019 -0400

    libXvMC 1.0.12
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0fab90b409a3e4848603bdb6b438523038239f23
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 24 12:28:19 2019 -0400

    vld: Provide <X11/extensions/vldXvMC.h> ourself
    
    This header refers to libX11 types, it doesn't belong in xorgproto and
    has been moved to legacy in 2019.2. Supply it ourselves.

commit dd9ae03725990ee9c9336bca4b267dfbb696002f
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 23 15:28:50 2019 -0400

    pkgconfig: Remove xv from xvmc.pc
    
    This library does not itself require libXv for anything.

commit 0366572c58a85558f9dc7229e74b9a0397becc89
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Mon Jul 8 09:46:28 2019 -0700

    Add a pkgconfig file for libXvMCW
    
    Mesa needs to link with this for testing, as do others presumably.
    Having a pkg-config file makes this much easier
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110735
    
    v2: - remove xv from Requires and Requires.private

commit 63a79d1d087f5121b07510692bf6dd8207d0c0d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 15:11:28 2019 -0700

    libXvMC 1.0.11
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c0a1b5d9d5dea58c516a6aefa6dd15192919b48
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:56:27 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 45de1c449740caf45984aac59ab35741defcadbb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 22:55:06 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a964f14b7b61bb8055d5144c96ecbba5dfae4a3e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 22 15:56:27 2018 -0700

    Fix sign comparison warnings for loop indexes
    
    XvMC.c: In function ‘XvMCListSurfaceTypes’:
    XvMC.c:124:19: warning: comparison between signed and unsigned integer
     expressions [-Wsign-compare]
          for(i = 0; i < rep.num; i++) {
                       ^
    XvMC.c: In function ‘XvMCListSubpictureTypes’:
    XvMC.c:185:26: warning: comparison between signed and unsigned integer
     expressions [-Wsign-compare]
                 for(i = 0; i < rep.num; i++) {
                              ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 28ad81420723175bfb163e20406af6d4d56bf4d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 22 15:51:49 2018 -0700

    Need to check for -1, not 0, to determine if shmat() failed
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 68d0e5a122c6c76c19cc58ce9cea1424c7a5db11
Author: Neha Gupta <neha.g1@samsung.com>
Date:   Fri Jun 5 08:20:48 2015 +0000

    Fix handling of shmKey in XvMCGetDRInfo
    
    If we store the result of shmget in a CARD32 (unsigned int), then
    checking if it returned -1 for an error by using >= 0 doesn't work.
    
    Also, once the request is flushed from the buffer (as XReply does),
    there's no guarantee the values in it are still valid, so it's better
    to rely on our local variable instead.
    
    Fixes: https://gitlab.freedesktop.org/xorg/lib/libxvmc/issues/1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 48ca78665a3f251f94b190b61fcc2027b07a76c9
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 290edda14c96e34873cd5601d3c515ce74ca01a5
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9b8c4f2f82cd45c7c394efa992663fb75452e39f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 44a462835cbe263451a463af17f0fbedc1c957b2
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Oct 4 22:09:12 2016 +0200

    libXvMC 1.0.10
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 2cd95e7da8367cccdcdd5c9b160012d1dec5cbdb
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Sep 25 22:34:27 2016 +0200

    Avoid buffer underflow on empty strings.
    
    If an empty string is received from an x-server, do not underrun the
    buffer by accessing "rep.nameLen - 1" unconditionally, which could end
    up being -1.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit ab0d28935987d48e9359023e82f9d56aa7e4bc95
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 14 10:10:05 2015 -0700

    libXvMC 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ac79f0132dfd268bc6e9ff2dcdea55e00b65a92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 14 10:12:10 2013 -0800

    Rename local err variable in XW_RSYM macro to avoid shadow warnings
    
    Clears many warnings of the form:
    
    XvMCWrapper.c: In function 'initW':
    XvMCWrapper.c:362:5: warning: declaration of 'err' shadows a previous local [-Wshadow]
    XvMCWrapper.c:267:11: warning: shadowed declaration is here [-Wshadow]
    
    due to variable declared in macro block sharing "err" name with a
    variable declared in the function calling the macro.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4dd267a98790f4404b7607d9362d4346f55f49fb
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Oct 24 02:07:56 2012 -0500

    Fix linking with -Wl,--no-undefined on Linux
    
    libXvMCW uses dlopen and friends, therefore it must be linked against
    libdl on systems where it exists as a separate library.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62bc54e6995618b7134f5cbe3a4290e41a4cb44a
Author: Michael Joost <mehl@michael-joost.de>
Date:   Mon Nov 18 16:11:26 2013 +0100

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a39e26871e1f8ddb7086a53aba0b66a6fa6c7a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:39:18 2013 -0700

    Require ANSI C89 pre-processor, drop pre-C89 token pasting support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1fb06ecf88155452ece93ac309435106f9569d54
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 13 22:57:03 2013 -0700

    libXvMC 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 554200b59e880a1cf36dd244eeb5f330d93499b6
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Jun 1 11:26:15 2013 +0200

    avoid overflowing by making nameLen and busIDLen addition overflow
    
    Al Viro pointed this out on lwn: if nameLen + busIDLen overflows, we end
    up copying data from outside tmpBuf.
    
    Reported-by: Al Viro <viro@zeniv.linux.org.uk>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c164524d229adb6141fdac8336b3823e7fe1a5d
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri May 24 14:47:30 2013 +1000

    Multiple unvalidated patches in CVE-2013-1999
    
    Al Viro pointed out that Debian started segfaulting in Xine for him,
    
    Reported-by: Al Viro
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e9415ddef2ac81d4139bd32d5e9cda9394a60051
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 01:20:08 2013 -0700

    Multiple unvalidated assumptions in XvMCGetDRInfo() [CVE-2013-1999]
    
    The individual string sizes is assumed to not be more than the amount of
    data read from the network, and could cause buffer overflow if they are.
    
    The strings returned from the X server are assumed to be null terminated,
    and could cause callers to read past the end of the buffer if they are not.
    
    Also be sure to set the returned pointers to NULL, so callers don't try
    accessing bad pointers on failure cases.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5fd871e5f878810f8f8837725d548e07e89577ab
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 00:50:02 2013 -0700

    integer overflow in _xvmc_create_*()
    
    rep.length is a CARD32 and should be bounds checked before left-shifting
    by 2 bits to come up with the total size to allocate, though in these
    cases, no buffer overflow should occur here, since the XRead call is passed
    the same rep.length << 2 length argument, but the *priv_count returned to
    the caller could be interpreted or used to calculate a larger buffer size
    than was actually allocated, leading them to go out of bounds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 478d4e5873eeee2ebdce6673e4e3469816ab63b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 00:50:02 2013 -0700

    integer overflow in XvMCListSubpictureTypes() [CVE-2013-1990 2/2]
    
    rep.num is a CARD32 and needs to be bounds checked before multiplying by
    sizeof(XvImageFormatValues) to come up with the total size to allocate,
    to avoid integer overflow leading to underallocation and writing data from
    the network past the end of the allocated buffer.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2712383813b26475dc6713888414d842be57f8ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 00:50:02 2013 -0700

    integer overflow in XvMCListSurfaceTypes() [CVE-2013-1990 1/2]
    
    rep.num is a CARD32 and needs to be bounds checked before multiplying
    by sizeof(XvMCSurfaceInfo) to come up with the total size to allocate,
    to avoid integer overflow leading to underallocation and writing data from
    the network past the end of the allocated buffer.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cf1a1dc1b9ca34a29d0471da9389f8eae70ddbd9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 00:47:57 2013 -0700

    Use _XEatDataWords to avoid overflow of rep.length shifting
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2fb49b59ff530ea3d0288b1b1ab5ccd046a1213b
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f2db5efdba40d84493a95a2ffb9bc734b83d8503
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit bcc4c4f3b7ad3c880e97f27951c97cb7ba856658
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:31:11 2012 -0800

    libXvMC 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4091e8b8b80e00b8abafdd630e5af8cab22d9054
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 21:47:20 2011 -0800

    Fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5d4953233392d22b8c92e64c23b5aa20df86e17c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:56:49 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f64c8dd12786f6b0ef1e4c8c8d992d43de6f895
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 5 11:56:54 2011 -0500

    config: use Automake defaults when checking for library functions.
    
    Which follows a uniform naming convention.
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a37fab2dde1cb4ea0fb93ed811b14b2be9e52566
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 5 11:18:21 2011 -0500

    config: move wrapper in its own directory
    
    This prevents the use of per-target compiler flags.
    Makefiles are simpler.
    The -D flags for the wrapper are moved with pre-precessor flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3b4040904d8fd5b8c7a20b0b187d70a00dd452ef
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 10:30:12 2011 -0500

    Fix whitespace issues
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ac00a51c3106188aebc98ce5f480768dcd95da5f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:45 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Update minimum version of util-macros to at least 1.8.
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit bdd949b7d163bd9542eed89cf8fdb42197f86975
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 97d0572191368f47854c795e524610e529787c85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 13 22:00:11 2010 -0700

    libXvMC 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d2e636fa0fe21bfa483c18fa7ca63368a05ef35
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 13 22:01:39 2010 -0700

    Remove unnecessary statements from configure.ac
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4d78d748cbf4a393ef12222c44b5f7adb2d3539f
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Mon Jul 12 20:04:46 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e003c948a51af2d89a23fb697ec44aab970ce853
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:06:17 2010 -0300

    Purge macro NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bea7d18c45b8d09c27a7e8c181b6efd27c4a36d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 92e902daab4eeb0acddd4e0def2d6009459e3220
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 10:06:05 2010 -0500

    COPYING: replace stub with actual copyright notices
    
    Refer to: XvMCWrapper.c
    Copyright (c) 2004 The Unichrome project.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 52c17bfbe2a50c9117ad92843f34e94be4f09c5e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 11 12:54:03 2009 -0800

    Bug 25592: Use $(docdir) for XvMC_API.txt install path
    
    Bumps minimum autoconf version required to 2.60 for $(docdir)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit c53bfd6679f842a5a061904740d86932bbbda6c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit a75f52662c22048dc80a9f8d310364c458da470c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 9c441d4a5438caa37dd413ab2acbb4a117125e44
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:26 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 3a75ec2dda5f065e4d3eca15653c652690f4aa38
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 5eccd90ff407b9f780b4a0d6d1e48e0891f56594
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 276759b34432cea1f6c7eda995d65140b72169c0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:26 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit efaafb5e74c7484f7e1c0f6f0fc34d75a0f7c14d
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Oct 20 14:42:03 2009 -0700

    Include XvMClib.h
    
    This fixes compilation breakage after 9190399907610486001f3676945958dbab4b837a in videoproto
    
    Found by tinderbox
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 4c41a40c3e4344c67cda020fbc2eb479ba06fc9e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 6 13:20:36 2009 -0700

    libXvMC 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 459a6ac9876b86533b17c996200a8a492e32841c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 6 13:19:45 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8a5876f71cbad2a02eb6c47772cf46c17bc1f451
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 23:14:51 2009 -0700

    Move XvMC_API.txt from xorg-docs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c0ba39fd18a56adbbe7e2e4a1655aa1aaf5c1ed6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:37 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 608a6db5a76c3638457e40a4bae7debb5318b905
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Feb 2 14:17:21 2009 -0200

    Janitor: make distcheck, compiler warnings, .gitignore.

commit ae3564600219fb27e094805cc45991685d2e5504
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Mar 14 02:01:31 2008 -0300

    Add missing prototypes to XvMClibint.h
    
    This is done just to not generate compile warnings about functions without
    prototype, but at some time the comment in XvMC.c should be addressed:
    
    /******************************************************************
       These are intended as a protocol interface to be used by direct
       rendering libraries.  They are not intended to be client viewable
       functions.  These will stay in place until we have a mechanism in
       place similar to that of OpenGL with an libXvMCcore library.
    *******************************************************************/

commit 08be10e6c26794ed1ffa21d7946ddcc3da007237
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:33:11 2006 +0200

    bump to 1.0.4

commit eaaa31aa77f06249de137018ef85903b0ad4aa39
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 19:00:54 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 93d7c1c797d8c74c18e78854fcf78a3f0d79b444
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 16:47:03 2006 -0700

    Bump version to 1.0.3

commit ddc72074e6389a64d5753621b48855137a8c3623
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 13:44:48 2006 -0700

    Add XvMCWrapper to lint target

commit 34b32e0f6773004138543e6f41f5639736493707
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 13:44:15 2006 -0700

    Fix sparse warning: Using plain integer as NULL pointer

commit 142aa1230c651bc70d192edbbfa6870488006d36
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 26 18:31:46 2006 -0700

    Fix sparse warnings: Using plain integer as NULL pointer

commit 945f89d551438298d9a09a4fd3e9e40ac6b1ad51
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 26 18:30:41 2006 -0700

    Add hooks for checking code with sparse/lint/etc.

commit 3cc151c221139869980bc33d5336ab75c04606bc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 26 17:28:45 2006 -0700

    Replace static ChangeLog with disthook to generate from git log

commit f856448323ad315f5301f1022e9ee75de7174dbd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 26 17:25:50 2006 -0700

    Add *~ to .gitignore to skip over emacs droppings

commit 25c9975510f7a7c4f1c18b72526bc2a9b97ff90e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:59:11 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 42226f6ba7fbccd7d7cb0f9ce431be477bdf9a0c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jun 16 22:07:08 2006 +0000

    Define HAS_SHM if shmat() is found
    Include <config.h> to get HAS_SHM define.

commit 9a93b2a2ace59e6c2ab8fec586561a136c06e664
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:24:15 2006 +0000

    Bump to 1.0.2

commit 987ac45a04fc6734096fd6469ef12a4b1d09f971
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 19:35:40 2006 +0000

    Bug #6479: Cygwin build fix. (Yaakov Selkowitz)

commit 3b44259383a99f4db7d7c026638c6676d838229b
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Wed Mar 22 17:53:58 2006 +0000

    Set XVMC_CONFIGDIR to $(sysconfdir)/X11.

commit 0e3081d35bcad1b5ee637c9b5d0292011c8536b4
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:06 2005 +0000

    Update package version for X11R7 release.

commit 588b2f5642d0061f1e1954ce9f97bff71a27d75e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:28:27 2005 +0000

    Stub COPYING files

commit 479c508369c27e88145aab93016c6bcee5b6e71e
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:35 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d7aa41b6025facaa98c827bea605de1aa77ffb5d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:45 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 68f34d7d3b1564d967f77127b68af6c3de26578b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:51 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit b679a08c793780c08a21af602e4e814cc24b1a93
Author: Thomas Hellstrom <unichrome@shipmail.org>
Date:   Sat Nov 26 21:06:07 2005 +0000

    Bug #5067 <https://bugs.freedesktop.org/show_bug.cgi?id=5067> Add dot
        before revision definitions for libXvMCW (Cedric Berger)

commit 7907128fae6bbb41e2e6cc6387afba857c75eb41
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 23:17:41 2005 +0000

    Add/improve libs .cvsignores.

commit 25b2dc7180677176005d65828d2bfde17119c7a6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:43 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 384001cc85ea7a77b2800fda7d4abc745135ad3c
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:12 2005 +0000

    Update package version number for RC1 release.

commit 6140efabd4d1dc46f40d3bc15ad2d78307c5c6e3
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 11 18:25:27 2005 +0000

    XvMC depends on xv. (Bugzilla #4367, Joshua Baergen).

commit cd5375fa75e1f232d23069a59a82f0bcf6ee2a9f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:03 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit 912ba3998aba2fd6e5e669f80a6ef205a613818e
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:53 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ad129004fe84555fa82286577b343188bd922971
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 23 05:27:00 2005 +0000

    Fix distchecks

commit 50f1a745af62aadab1118b2c565e4f3c60ddcbd6
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:44:53 2005 +0000

    Set soversion to 1.0.0 with -version-number.

commit 46023798075bda8427b61ce57f8d5595abed89cb
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 12 01:17:49 2005 +0000

    Set soversions to 1.0.0; add XvMClib.h.

commit a27ff6109baf266d414db756549eba0b6e4dcaf5
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 12 00:38:53 2005 +0000

    Change version to 1.1.0.

commit 32a12b87526bdeeeadc6859cc2c440d74846d935
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:55:15 2005 +0000

    Add .cvsignore files

commit 05fd6003cbd18c04268a3ee8974a81fdcf1f7a74
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 06:35:04 2005 +0000

    Add appropriate lib*_CFLAGS to Makefile.am's -- fixes build problems

commit 125b5cabb1980a3564c2567c0702a9adf32327bf
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jun 21 15:41:37 2005 +0000

    lib/XScrnSaver/configure.ac
    lib/XScrnSaver/src/Makefile.am
    lib/Xfontcache/configure.ac
    lib/Xfontcache/src/Makefile.am
    lib/Xinerama/configure.ac
    lib/Xinerama/src/Makefile.am
    lib/Xtst/configure.ac
    lib/Xv/configure.ac
    lib/XvMC/configure.ac
    lib/dmx/configure.ac Add missing xext.pc and xextproto.pc Add DEP_CFLAGS to
        src/Makefile.am

commit 0273d0113119cdefe148d58ddf3508bd9b20f2b8
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jun 20 22:39:13 2005 +0000

    Add XvMC build system

commit b4716fab0524c583daac7048f5d304af3b1589b5
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jun 20 22:38:12 2005 +0000

    Fix some includes in xc/lib/XvMC

commit 58fde9acdcc6256917089271537017dc28710988
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:50 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 359c8b9d75372ecd1f78cdb0bfccd134577d9c31
Author: Thomas Hellstrom <unichrome@shipmail.org>
Date:   Tue Nov 23 17:29:47 2004 +0000

    Bugzilla #1883 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1883): Fix
        insufficient SHM detection in XvMC local test. Removed reference to
        getpagesize() which caused linking problems on s390. Reported by Stefan
        Dirsch <sndirsh@suse.de>

commit 120c3035f60138ad15599b0b0c4468400e966423
Author: Thomas Hellstrom <unichrome@shipmail.org>
Date:   Sat Nov 13 11:09:23 2004 +0000

    lib/XvMC/Imake
    Added support for automatic loading of the correct hardware XvMC driver.
        This involves a protocol extension of the XvMC protocol. The XvMC
        revision number was bumped.

commit 0077c785f91a80d48216a969757bc3f3b607e7e2
Author: Thomas Hellstrom <unichrome@shipmail.org>
Date:   Wed Oct 20 16:35:16 2004 +0000

    Imported via XvMC library release 0.13.0 from unichrome.sf.net. This
        enables hardware mpeg2 decoding for the CLE266 chip using the
        nonstandard VLD XvMC extension. Complete author information is
        available at the unichrome site. Updated the XvMC wrapper to look for
        version specific Xv and XvMC shared libraries.

commit d6f84be6af28d2a316e05858f0b0571074314c2c
Author: Thomas Hellstrom <unichrome@shipmail.org>
Date:   Sun Sep 26 11:48:57 2004 +0000

    Added the XvMC wrapper. First support for runtime loading of hardware-
        specific XvMC libraries.

commit b3d2a9cbcf27659b04eb0088c02de753dc43d5a8
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:55 2004 +0000

    Merging XORG-CURRENT into trunk

commit 1892f06c354c1b37308a5adc35cf6a4343148871
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:27 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 2cf814aa9975839c342fbb37c8cf34c8eaf83add
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:32 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 5fbd3ca2a0e419175a28d68cd00e00541ec51c02
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:34 2004 +0000

    readding XFree86's cvs IDs

commit 6c01fc4ce83d0a401ac497a589ca7009824b2ee7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:48 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 023801d605d93ffdbd383b9f32df0a3213c829f1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:21 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 59642182406c19c9d17efd9d845cbbd65ad4654f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    XFree86 4.3.0.1

commit 204fb5fcf4292629677e3876bd449fb76e55fcdd
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    Initial revision
